KROC(1)

NAME
occamdoc - occam inline documentation tool

SYNOPSIS
occamdoc [OPTION]... [FILE]...

DESCRIPTION

Parses comments in OccamDoc format from occam source files and generates XML and HTML output. For example, to extract documentation from foo.occ and bar.inc, you would issue the command:

    occamdoc foo.occ bar.inc

If successful, this will create a directory doc containing an XML file called docs.xml (which contains the documentation extracted from the source files) and a number of HTML and CSS files, which may be browsed starting at index.html.

occamdoc works by first generating an XML file, then transforming that into other formats using XSLT. The only XSLT file currently supplied converts into HTML 4.01 Strict, but it should be relatively straightforward to add more output formats, or to use the XML output directly in other programs (such as smart text editors).

The OccamDoc comment format is described online at:

    https://www.cs.kent.ac.uk/research/groups/sys/wiki/OccamDoc

OPTIONS

-dpath
    Write output into the directory path. The directory will be created if it does not already exist.

-fformat
    Write output in format format, which may be xml or html. (XML output is always written, so specifying xml here just stops occamdoc from doing any XSLT transformations.)

--help
    Show usage summary and exit.

-p  Don't ignore declarations tagged @private. The idea behind private declarations is that they're for internal use only, so this option should be used if you want to generate documentation for a program's maintainer to read, but not if you want to generate documentation for a library's users.

AUTHOR
See the file AUTHORS in the distribution for the list of contributors to KRoC. This manual page is maintained by Adam Sampson <ats@offog.org>.

REPORTING BUGS
Please report bugs to <kroc-bugs@kent.ac.uk>

COPYRIGHT
Copyright © 2006 University of Kent, Canterbury, UK

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.